#!/usr/bin/perl -T

# Copyright 2005 Frank Hauptle HTMLfixIT.com
use strict;
use Fcntl qw(:DEFAULT :flock);
use CGI::Carp qw(fatalsToBrowser);
    # Fetch the stats file location from the counter config.
my $path_to_config = '.';
require "$path_to_config/counter_config.pl";
my (undef, undef, undef, undef, undef, undef,
        $stats_file, undef, undef, undef, undef, undef, undef, undef, undef, 
        undef, undef, undef) = counter_config::config();

    # Open the stats file and pull out only the Browser user agent strings.
my %browser_stats;
open (STATS, "$stats_file") or die "can't open: $stats_file Reason: $!";
flock(STATS,LOCK_SH) or die "can't lock: $stats_file Reason: $!";
my $browser;
while (<STATS>)
{

(undef, undef, undef, undef, undef,$browser, undef) = split(/\|/, $_);
 $browser =~ s/\|/\&verbar\;/;
 $browser =~ s/\"/\&quot\;/;
 $browser =~ s/\'/\&acute\;/;
  
    if ($browser_stats{"$browser"})
        {
        $browser_stats{"$browser"} = ($browser_stats{"$browser"} +1);
        }
    else        
        {
        $browser_stats{"$browser"} = 1;
        }
}
close (STATS);
my $count = 1;
    # Print out a nasty non standards HTML table with the results in order of popularity.
print "Content-type: text/html\n\n";
print '<html><head><title>HTMLfixit stats supplimental.</title></head><body style="text-align:center;">\n<center>';
print "<h2>All Browser strings. <a href='http://htmlfixit.com'>HTMLfixIT</a> Stats counter supplimental.</h2>\n<center><table border='1' width='80%'>";
print '<tr><td>Count</td><td>Browser strings.</td><td></td></tr>';
foreach my $key (sort {$browser_stats{$b} <=> $browser_stats{$a} } keys %browser_stats)
{
next if $key eq 'nonJS' or $key eq 'nonJS_BOT';
print '<tr><td>'.$count.'</td><td>'.$key.'</td><td>'.$browser_stats{"$key"}.'</td></tr>'."\n";
$count++;
last if $count > 5000;
}
print "</table>Copyright &copy; 2005-2007 Frank Hauptle <a href='http://htmlfixit.com'>HTMLfixIT.com</a></center></body></html>";