#!/usr/bin/perl -T

# Copyright 2005 Frank Hauptle HTMLfixIT.com
use strict;
use Fcntl qw(:DEFAULT :flock);
use CGI::Carp qw(fatalsToBrowser);
    # Fetch the stats file location from the counter config.
my $path_to_config = '.';
require "$path_to_config/counter_config.pl";
my (undef, undef, undef, undef, undef, undef,
        $stats_file, undef, undef, undef, undef, undef, undef, undef, undef, 
        undef, undef, undef) = counter_config::config();

    # Open the stats file and pull out only the screen resolutions.
my %res_stats;
open (STATS, "$stats_file") or die "can't open: $stats_file Reason: $!";
flock(STATS,LOCK_SH) or die "can't lock: $stats_file Reason: $!";
my $res;
while (<STATS>)
{
(undef, undef, undef, undef, $res, undef, undef) = split(/\|/, $_);
    if ($res_stats{"$res"})
        {
        $res_stats{"$res"} = ($res_stats{"$res"} +1);
        }
    else        
        {
        $res_stats{"$res"} = 1;
        }
}
close (STATS);
my $count = 1;
    # Print out a nasty non standards HTML table with the results in order of popularity.
print "Content-type: text/html\n\n";
print "<h2>All Screen Resolutions. <a href='http://htmlfixit.com'>HTMLfixIT</a> Stats counter supplimental.</h2><html><body  style='text-align:center;'>\n<center><table border='1' width='80%'>";
print '<tr><td>Count</td><td>Screen resolution</td><td>Hits</td></tr>';
foreach my $key (sort {$res_stats{$b} <=> $res_stats{$a} } keys %res_stats)
{
next if $key eq 'nonJS' or $key eq 'nonJS_BOT';
print '<tr><td>'.$count.'</td><td>'.$key.'</td><td>'.$res_stats{"$key"}.'</td></tr>'."\n";
$count++;
}
print "</table>Copyright &copy; 2005 Frank Hauptle <a href='http://htmlfixit.com'>HTMLfixIT.com</a></center></body></html>";